# Shared Variant Options

Shared Variant Options

 - [GET /sharedVariantOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/listsharedvariantoptions.md): This method will scan all shared variant options and and return them to the caller.
 - [POST /sharedVariantOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/createsharedvariantoption.md): This method will auto-generate an ID and create a new shared variant option. If an ID is specified for the shared variant option, an error will be thrown.
 - [POST /sharedVariantOptions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/deletesharedvariantoption.md): This method will delete a shared variant option with the specified ID.
 - [GET /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/getsharedvariantoption.md): This method will look up a shared variant option by the specified ID and return it back.
 - [PATCH /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/patchsharedvariantoption.md): This method will patch an existing shared variant option with the specified ID, using the HTTP PATCH specification.
 - [PUT /sharedVariantOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-variant-options/updatesharedvariantoption.md): This method will update an existing shared variant option with the specified ID.
